Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
SEARCH_RECORD Struct Reference

`#include <bestfirst.h>`

List of all members.

## Public Attributes

HEAP * | open_states
HASH_TABLE | closed_states
STATE * | this_state
STATE * | first_state
STATE * | best_state
int | num_joints
long | num_states
long | before_best
float | segcost_bias
WERD_CHOICE * | best_choice
WERD_CHOICE * | raw_choice
BLOB_CHOICE_LIST_VECTOR * | best_char_choices

## Detailed Description

Definition at line 45 of file bestfirst.h.

## Member Data Documentation

long SEARCH_RECORD::before_best

Definition at line 54 of file bestfirst.h.

BLOB_CHOICE_LIST_VECTOR* SEARCH_RECORD::best_char_choices

Definition at line 58 of file bestfirst.h.

WERD_CHOICE* SEARCH_RECORD::best_choice

Definition at line 56 of file bestfirst.h.

STATE* SEARCH_RECORD::best_state

Definition at line 51 of file bestfirst.h.

HASH_TABLE SEARCH_RECORD::closed_states

Definition at line 48 of file bestfirst.h.

STATE* SEARCH_RECORD::first_state

Definition at line 50 of file bestfirst.h.

int SEARCH_RECORD::num_joints

Definition at line 52 of file bestfirst.h.

long SEARCH_RECORD::num_states

Definition at line 53 of file bestfirst.h.

HEAP* SEARCH_RECORD::open_states

Definition at line 47 of file bestfirst.h.

WERD_CHOICE* SEARCH_RECORD::raw_choice

Definition at line 57 of file bestfirst.h.

float SEARCH_RECORD::segcost_bias

Definition at line 55 of file bestfirst.h.

STATE* SEARCH_RECORD::this_state

Definition at line 49 of file bestfirst.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/bestfirst.h